properties.prototype.notes = function () {
  var user_id = this.user_id; /* This User ID is used by AJAX saves */
  var PropertiesID = this.id; /* This PropertiesID is used for AJAX save */

// Validation for #editProperty
    $('#addNote')
            .form({
              inline: false,
              on: 'submit',
              keyboardShortcuts: false,
              onSuccess: function (e) {
                e.preventDefault();
                debug_print('#addNote form has passed validation');
                debug_print("Adding note as user_id: " + user_id);
                
                var note = $("#note").val();

                $.ajax({
                  beforeSend: saving_toast,
                  url: 'app/properties/add-note.php',
                  type: 'GET',
                  data: {propertyID: PropertiesID, user_id: user_id, note: note},
                  success: function (response, status, xhr) {
                    if (!has_error(response, xhr)) {
                      has_saved(response, xhr, 'note');
                      var rside = cloneObject.loadRight('start_up');
                      $.when( rside ).done(function () {
                        cloneObject.notes(); /* Must reload it-self to save another note */
                      });
                    } // END if !ERROR
                  }
                }); // <-- END: .ajax() 
              },
              fields: {
                note: {
                  identifier: 'note',
                  rules: [
                    {
                      type: 'empty',
                      prompt: 'Error: Please enter your notes first then click the &quot;Add Note&quot; button.'
                    }
                  ]
                }

              } // <-- END: fields

            }); // <-- END: #addNote     

}; // <-- END: code